Get Organizational Units
curl --request GET \
--url https://api.twine.se/v2/org/organizational-units \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v2/org/organizational-units"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v2/org/organizational-units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"deleted_at": "2021-06-01T12:00:00Z",
"description": "The engineering team",
"email": "[email protected]",
"inserted_at": "2021-06-01T12:00:00Z",
"name": "Engineering",
"parent_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"phone": "+46701234567",
"properties": {
"custom_properties": {},
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"email": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"name": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"phone": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_parent_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"tier": [
{
"valid_from": "2021-06-01",
"value": null
}
]
},
"tier": "team",
"updated_at": "2021-06-01T12:00:00Z"
}
],
"pagination": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"code": 500,
"errors": [],
"message": "Internal Server Error"
}Organizational Units
Get Organizational Units
GET
/
v2
/
org
/
organizational-units
Get Organizational Units
Authorizations
Bearer token for authentication
Query Parameters
Cursor pagination
Show child attributes
Show child attributes
Filter parameters for OrganizationalUnit Parameters for OrganizationalUnit filtering
Show child attributes
Show child attributes
Select fields for OrganizationalUnit
Parameters for OrganizationalUnit field selection. Note: id is always returned.
Available options:
id, org_id, parent_id, updated_at, inserted_at, tier, name, description, properties Parameters for OrganizationalUnit ordering
Show child attributes
Show child attributes
⌘I